> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passform.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1accountaccept

> Accept an invite to the account



## OpenAPI

````yaml /api-reference/openapi.json post /v1/account/accept
openapi: 3.1.0
info:
  title: Passform API
  description: The Passform API for creating Google and Apple wallet passes
  version: 0.1.0
servers:
  - url: https://api.passform.io
security: []
tags:
  - name: auth
    description: Routes for managing API keys
  - name: templates
    description: >-
      Templates represent the appearance of a pass. They include information on
      things such as icons, images, colours and text. A template is used by a
      pass to define how the pass should look and behave.
  - name: passes
    description: >-
      A pass is an individual instance based on a template. It contains details
      that are specific to its instance.
  - name: apple
    description: >-
      Routes used by apple to update passes and manage devices associated to
      passes.
externalDocs:
  url: https://swagger.io
  description: Find more info here
paths:
  /v1/account/accept:
    post:
      tags:
        - accounts
      description: Accept an invite to the account
      parameters:
        - schema:
            type: string
          in: query
          name: accountId
          required: false
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                code:
                  description: The invite code
                  type: string
              required:
                - code
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                allOf:
                  - type: object
                    properties:
                      id:
                        type: string
                      name:
                        description: The display name of the account
                        type: string
                      industry:
                        description: The industry of the account
                        type: string
                      members:
                        type: array
                        items:
                          type: object
                          properties:
                            uid:
                              description: The user id of the member
                              type: string
                            user:
                              type: object
                              properties:
                                name:
                                  description: The users name
                                  type: string
                                email:
                                  description: The users email
                                  type: string
                                isAdmin:
                                  description: >-
                                    Platform-level admin flag for managing
                                    enterprise accounts and other admin
                                    functions
                                  type: boolean
                              required:
                                - name
                          required:
                            - uid
                      invites:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              description: The unique invite code
                              type: string
                            expiry:
                              description: The expiry date of the invite code
                              format: date-time
                              type: string
                            ref:
                              description: >-
                                Reference information, can be an email or other
                                information
                              type: string
                          required:
                            - code
                            - expiry
                      billing:
                        type: object
                        properties:
                          stripeCustomerId:
                            type: string
                          subscription:
                            type: object
                            properties:
                              planId:
                                type: string
                              status:
                                anyOf:
                                  - type: string
                                    enum:
                                      - active
                                  - type: string
                                    enum:
                                      - canceled
                                  - type: string
                                    enum:
                                      - incomplete
                                  - type: string
                                    enum:
                                      - incomplete_expired
                                  - type: string
                                    enum:
                                      - past_due
                                  - type: string
                                    enum:
                                      - paused
                                  - type: string
                                    enum:
                                      - trialing
                                  - type: string
                                    enum:
                                      - unpaid
                              stripeSubscriptionId:
                                type: string
                              currentPeriodStart:
                                format: date-time
                                description: >-
                                  The UTC date at which the billing period
                                  starts.
                                type: string
                              currentPeriodEnd:
                                format: date-time
                                description: The UTC date at which the billing period ends.
                                type: string
                              period:
                                default: month
                                anyOf:
                                  - type: string
                                    enum:
                                      - day
                                  - type: string
                                    enum:
                                      - week
                                  - type: string
                                    enum:
                                      - month
                                  - type: string
                                    enum:
                                      - year
                            required:
                              - planId
                              - status
                              - stripeSubscriptionId
                              - currentPeriodStart
                              - currentPeriodEnd
                              - period
                          enterpriseConfig:
                            type: object
                            properties:
                              maxTemplates:
                                description: >-
                                  Maximum number of templates allowed. Undefined
                                  or -1 means unlimited.
                                type: number
                              maxActivePasses:
                                description: >-
                                  Maximum number of active passes allowed per
                                  billing period. Undefined or -1 means
                                  unlimited.
                                type: number
                        required:
                          - stripeCustomerId
                    required:
                      - id
                      - name
                      - members
                  - type: object
                    properties:
                      usage:
                        type: object
                        properties:
                          activePasses:
                            description: >-
                              The number of passes active for the current
                              billing period.
                            type: number
                        required:
                          - activePasses
                    required:
                      - usage
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-0'
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-0'
      security:
        - bearerAuth: []
components:
  schemas:
    def-0:
      type: object
      properties:
        statusCode:
          type: number
        code:
          type: string
        error:
          type: string
        message:
          type: string
      title: HttpError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````